#include <iostream>
using namespace std;
int main()
{
    int n,br=0,Od,Do,DoT;
    cin>>n;
    int x[n-1],y[n-1];
    for(int i=0;i<n-1;i++)
        cin>>x[i]>>y[i];
    Od=x[0];
    DoT=Do=y[0];
    for(int i=1;i<n-1;i++)
    {
        if(x[i]<Od)
            Od=x[i];
    }
    for(int i=1;i<n-1;i++)
    {
        if(y[i]>DoT)
            DoT=y[i];
    }
    for(int i=1;i<n-1;i++)
    {
        if(y[i]>Do && y[i]!=DoT)
            Do=y[i];
    }
    cout<<Do-Od-1;
    return 0;
}